@import url(ZeroStyleFet.css);
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

/* .wrapper {} */

.btn {
    transition: all 0.2s;
}

.btn:active {
    background-color: lightgray;
    -webkit-tap-highlight-color: transparent;
}

.header {
    width: 100%;
    height: 75px;
    position: fixed;
    background-color: black;
    color: white;
    z-index: 10;
}

.header__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 6px;
}

.header__title {
    font-size: clamp(1.75rem, 1.5417rem + 0.9524vw, 2rem);
    font-weight: 800;
    text-align: center;
}

.header__desc {
    font-size: clamp(0.75rem, 0.6458rem + 0.4762vw, 0.875rem);
    text-align: center;
}

.post-header {
    height: 75px;
}

.add {
    margin-top: 5px;
}

.add__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 6px;
}

.add__title {
    font-size: 32px;
    font-weight: 600;
    text-align: center;
}

.add__block {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px 35px;
}

.add__block > div {
    min-width: 30%;
}

.add__rate {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    row-gap: 5px;
    min-height: 100px;
}

.add__rate-title {
    font-size: 20px;
    font-weight: 400;
    width: 100%;
    height: 27px;
    text-align: center;
}

.add__rate-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 10px;
}

.add__rate-btn {
    font-size: 18px;
    width: 40px;
    height: 40px;
    background-color: rgb(230, 230, 230);
    border: lightgray 1px solid;
    border-radius: 5px;
}

/* .add__error {
    color: red;
    display: none;
} */

.add__weight {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    row-gap: 5px;
    height: 100px;
}

.add__weight-preblock {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: relative;
    height: 27px;
}

.add__weight-preblock > div {
    min-width: 70px;
    height: 100%;
}

.add__weight-title {
    text-align: center;
    font-size: 20px;
    font-weight: 400;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.add__weight-switch {
    z-index: 3;
    accent-color: gray;
    cursor: pointer;
}

.add_weight-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 10px;
}

.add__weight-btn {
    font-size: 18px;
    width: 40px;
    height: 40px;
    background-color: rgb(230, 230, 230);
    border: lightgray 1px solid;
    border-radius: 5px;
}

.add__count {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    row-gap: 5px;
    height: 100px;
}

.add__count-title {
    font-size: 20px;
    font-weight: 400;
    width: 100%;
    height: 27px;
    text-align: center;
}

.add__count-input {
    font-size: 18px;
    width: 100%;
    height: 40px;
    border: lightgray 1px solid;
    border-radius: 5px;
    -webkit-appearance: none;
    appearance: none;
    background: rgb(230, 230, 230);
    border: 0;
    outline: none;
    height: 10px;
    cursor: col-resize;
    &::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 15px;
        height: 15px;
        background: gray;
        border-radius: 50%;
        cursor: ew-resize;
        transform: translate(0, -16.5%);
        z-index: 3;
    };
    &::-moz-range-thumb {
        width: 15px;
        height: 15px;
        background: gray;
        border-radius: 50%;
        cursor: ew-resize;
    };
    &::-webkit-slider-runnable-track{
        width: 100%;
        height: 10px;
        background: rgb(230, 230, 230);
        border-radius: 10px;
    };
    &::-moz-range-track {
        width: 100%;
        height: 10px;
        background: rgb(230, 230, 230);
        border-radius: 10px;
    };
}

/* .add__range-value {} */

.add__btn {
    width: 20%;
    min-width: 125px;
    height: 30px;
    font-size: 18px;
    background-color: rgb(230, 230, 230);
    border: lightgray 1px solid;
    border-radius: 5px;
}

.selected {
    border: red 1px solid;
}

.rates {
    margin-top: 20px;
}

.rates__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.rates__title-group {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
}

.rates__placeholder {
    width: 40px;
    height: 40px;
}

.rates__title {
    font-size: 32px;
    font-weight: 600;   
}

.rates__arrow {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow {
    width: 16px;
    height: 16px;
    background-color: white;
    border: black solid;
    border-width: 0 4px 4px 0;
    transform: rotate(45deg) translate(-6%, -6%);
    transition: all 0.2s;
    cursor: pointer;
}

.arrow.collapsed {
    transform: rotate(225deg) translate(-30%, -30%);
}

.rates__preblock {
    width: 70%;
    margin-top: 10px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 15px;
}

.rates__block {
    font-size: 18px;
    width: 40px;
    height: 40px;
    background-color: lightgray;
    border: gray 3px solid;
    border-radius: 5px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    user-select: none;
    transition: all 0.2s;
    -webkit-tap-highlight-color: transparent;
}

.rates__rate {
    display: inline;
}

.rates__weight {
    height: 100%;
    display: flex;
    align-items: end;
}

div.disabled {
    background: black;
    color: white;
    border-color: rgb(90, 90, 90);
}

div.delete {
    animation: deleteElement 1s;
}

.stats {
    margin-top: 20px;
}

.stats__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.stats__title {
    font-size: 32px;
    font-weight: 600;
}

.stats__main {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 2px;
}

.stats__mid {
    margin-bottom: 10px;
}

.stats__block {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    gap: 25px 50px;
}

/* .stats__num-block {} */

.stats__main-rate {
    font-weight: 400;
}

/* .stats__list {} */

.stats__item {
    list-style: disc;
    margin-left: 18px;
}

.stats__reset {
    margin-top: 30px;
    font-size: 18px;
    width: 150px;
    height: 40px;
    background-color: rgb(230, 230, 230);
    border: lightgray 1px solid;
    border-radius: 5px;
}

.footer {
    background: black;
    min-height: 40vh;
    color: gray;
    margin-top: 400px;
}

.footer__content {
    padding-top: 50px;
    min-height: 40vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.footer__up {
    display: flex;
    justify-content: space-between;
    align-items: start;
}

.footer__desc {
    width: 30%;
}

.footer__p {
    font-size: 18px;
    margin-bottom: 20px;
}

.footer__guide {
    width: 30%;
}


.footer__settings {
    width: 30%;
}

.footer__title {
    font-size: 20px;
    margin-bottom: 10px;
}

.footer__input {
    background-color: rgb(90, 90, 90);
    color: white;
    border: gray 1px solid;
    min-width: 40%;
    max-width: 60%;
    height: 25px;
    border-radius: 5px;
    &::placeholder {
        color: gray;
    }
}

.footer__input-btn {
    max-width: 30%;
    height: 25px;
    background-color: rgb(90, 90, 90);
    color: lightgray;
    border: gray 1px solid;
    border-radius: 5px;
    user-select: none;
}

.footer__p1 {
    margin-top: 5px;
    font-size: 14px;
}

.footer__down {
    min-width: 100%;
    border: gray solid;
    border-width: 5px 0 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 0 15px 0;
}

.footer__author {
    font-size: 14px;
    text-align: center;
}

.footer__author a {
    text-decoration: underline;
}

@keyframes deleteElement {
    0%{
        box-shadow: inset 0 0 0 0 red;
    }
    50%{
        box-shadow: inset 0 0 3px 6px red;
    }
    100%{
        box-shadow: inset 0 0 3px 6px red;
    }
}

@media (max-width: 1024px) {
    .footer__up {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        row-gap: 30px;
    }
    .footer__desc {
        width: 100%;
    }
    .footer__guide {
        width: 100%;
    }
    .footer__settings {
        width: 100%;
    }
    .footer__p {
        margin-bottom: 12px;
    }
    .footer__down {
        margin-top: 20px;
    }
}